Delete Folder

Deletes a folder for a specific advertiser.

📘

URL: POST /api/v1/folders/delete

Note: A folder can be deleted only if:

  • The folder is empty, or
  • The folder contains non-submitted draft mode creatives.

Request Parameters

ParameterTypeRequiredDescription
advertiserIdintegerYesThe ID of the specific advertiser.
folderIdstringYesThe ID of the folder to be deleted.

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST \
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/folders/delete' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: **************' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: <consumer_id>' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '{ "advertiserId": 0000000, "folderId": "65822500-382a-11ec-9b0d-0242c0a8f002" }'

Response Body

This endpoint returns HTTP 204 No Content upon successful deletion.

If the request fails, the response will return the appropriate HTTP status code. Refer to the Folders CRUD API Error Codes page for more details.

204 No Content